<AuthState name="${state.entry}" class="ch.nevis.esauth.auth.states.scripting.ScriptState" final="true" resumeState="true">
	<ResultCond name="timeout" next="${state.exit.1}"/>
	<ResultCond name="verifyEmail" next="${state.done}"/>
	<ResultCond name="cancel" next="${state.failed}"/>
	<ResultCond name="stay" next="${state.entry}"/>
	<Response value="AUTH_CONTINUE">
		<Gui name="user_input">
			<GuiElem name="authRequestId" type="hidden" value="${sess:ch.nevis.auth.saml.request.id}" optional="true"/>
			<GuiElem name="email" type="text" label="prompt.email" value="#{(inargs.getProperty('userInputValue_prompt.email') != null) ? inargs.getProperty('userInputValue_prompt.email') : session.get('ch.nevis.idm.User.email')}" optional="true"/>
			<GuiElem name="captchaSettings.enabled" type="hidden" value="${sess:agov.fido2.captchaSettings.enabled}" optional="true"/>
			<GuiElem name="friendlyCaptchaSettings.siteKey" type="hidden" value="${sess:agov.fido2.captchaSettings.siteKey}" optional="true"/>
			<GuiElem name="friendlyCaptchaSettings.puzzleUrl" type="hidden" value="${sess:agov.fido2.captchaSettings.puzzleUrl}" optional="true"/>

			<GuiElem name="cancelFido2" type="submit" label="cancel.button.label" value="cancelFido2"/>
			<GuiElem name="submit" type="submit" label="submit.button.label" value="submit"/>
		</Gui>
	</Response>
	<property name="script" value="file:///var/opt/nevisauth/default/conf/sanitizeAndDispatchEmailInput.groovy"/>
</AuthState>